Package tigase.io

# Class TLSUtil

java.lang.Object
tigase.io.TLSUtil

public abstract class TLSUtil extends Object
Describe class TLSUtil here.
Created: Mon Jan 23 14:21:31 2006

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLSUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addCertificate(Map<String,String> params)`
  `static void`
  `configureSSLContext(Map<String,Object> params)`
  `static CertificateContainerIfc`
  `getCertificateContainer()`
  Method returns singleton instance of class implementing CertificateContainterIfc responsible for caching SSL certificates in memory.
  `static SSLContextContainerIfc`
  `getRootSslContextContainer()`
  Method returns singleton instance of class implementing SSLContextContainerIfc responsible for caching SSLContext instances.
  `static KeyStore`
  `getTrustStore()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TLSUtil

    public TLSUtil()

- ## Method Details

  - ### addCertificate

    public static void addCertificate(Map<String,String> params) throws CertificateParsingException
    Throws:
      `CertificateParsingException`

  - ### configureSSLContext

    public static void configureSSLContext(Map<String,Object> params)

  - ### getCertificateContainer

    public static CertificateContainerIfc getCertificateContainer()
    Method returns singleton instance of class implementing CertificateContainterIfc responsible for caching SSL certificates in memory.

  - ### getRootSslContextContainer

    public static SSLContextContainerIfc getRootSslContextContainer()
    Method returns singleton instance of class implementing SSLContextContainerIfc responsible for caching SSLContext instances.
    This instance should be wrapped by new instance of SSLContextContainer if method getSSLContext will be used with TrustManager array passed!

  - ### getTrustStore

    public static KeyStore getTrustStore()